BELOW_THRESHOLD_BALANCE
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Conditions
When eventType is set to BELOW_THRESHOLD_BALANCE, the available condition object fields are as follows.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
address | String | true | The address for which you want to receive balance alerts | "0x3DC16F9F7fD2F5a17A9602650880255f01edC733" |
belowThresholdBalance | String | true | The balance threshold to monitor. You receive an alert when the balance falls below this value. | "100000000000000000" |
Balance is checked every minute. If the balance is below the configured threshold, an alert is sent. If the balance remains below the threshold on each check, you will continue to receive alerts.
Response Example
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5089
subscription Event : subscriptionId: 5089,
eventType: BELOW_THRESHOLD_BALANCE,
event: {
"message": {
"type": "belowThresholdBalance",
"address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
"threshold": "6750000000000000000"
}
}